-- |
-- Copyright: © 2022–2024 Jonathan Knowles
-- License: Apache-2.0
--
module Internal.Prelude
    ( module Data.Monoid
    , module Data.Monoid.Cancellative
    , module Data.Monoid.GCD
    , module Data.Monoid.Monus
    , module Data.Monoid.Null
    , module Data.Semigroup.Cancellative
    , module Internal.Semigroup.Eq
    , module Internal.Semigroup.Tuple
    , module Numeric.Natural
    , module Test.QuickCheck
    )
    where

import Data.Monoid
import Data.Monoid.Cancellative
import Data.Monoid.GCD
import Data.Monoid.Monus
import Data.Monoid.Null
import Data.Semigroup.Cancellative
import Internal.Semigroup.Eq
import Internal.Semigroup.Tuple
import Numeric.Natural
import Test.QuickCheck
import Test.QuickCheck.Instances.Natural
    ()
